'Nome       : EncDocCmpCfg_Pgm.inc
'Tipo       : INC
'Data       : 2017/02/01
'Versao     : 1.4
'Descricao  : Inclusao de funcoes para cabecalho documentos ENC (compras)

'==============================================================================
'#VER - Historia de modificacoes
'==============================================================================
'==============================================================================
'#VER - Historia de modificacoes
'==============================================================================
'- Versao : 1.4   2017/02/01 -------------------------------------------------
'correccao incremento posicao base X (incrementava o valor por cada pagina)

'- Versao : 1.3   2016/05/16 -------------------------------------------------
'variaveis para largura e altura dos logotipos 1 e 2
'passa a usar IBAN da empresa (campo diversos). 
'tem que se preencher a variavel "Usa Iban da Empresa" com 1

'- Versao : 1.2   2015/06/25 --------------------------------------------------
'variavel para deslocamento vertical do titulo da empresa

'- Versao : 1.1   2015/06/25 --------------------------------------------------
'impressao do IBAN/NIB só na factura

'- Versao : 1.0   2015/03/02 --------------------------------------------------
'Versao base


'==============================================================================
'INF - Informacaoes
'==============================================================================


'==============================================================================
#PGM - Programa/Funcoes
'==============================================================================
'- +--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+
'- (13) --->'Comentario
'- (25) --------------->'Comentario
'- (28) ------------------>'Comentario
'- (40) ------------------------------>'Comentario
'- (43) --------------------------------->'Comentario
'- (46) ------------------------------------>'Comentario
'- (49) --------------------------------------->'Comentario
'- (52) ------------------------------------------>'Comentario
'- (55) --------------------------------------------->'Comentario
'- (58) ------------------------------------------------>'Comentario
'- (61) --------------------------------------------------->'Comentario
'- (64) ------------------------------------------------------>'Comentario
'- (67) --------------------------------------------------------->'Comentario
'- (70) ------------------------------------------------------------>'Comentario


'==============================================================================
'#CFG - Preparar opcoes da tabela de variaveis do documento
'==============================================================================
Sub PrpVar_Com 'preparar variaveis comuns
tabVar$ = "EmpTbDocVar"                                                   'tabela de dados

'logotipo
CfgDocTipLogo$   = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.TIP.LOGO")        'tipo logotipo
if CfgDocTipLogo$="" then                                                  'usa logotipo ?
   CfgDocTipLogo$="2"                                                      'usa logotipo neutro
end if

CCfgDocNomLogo$   = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.NOM.LOGO")       'nome logotipo
CCfgDocLogCxe$    = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.LOG.CXE")        'usa caixa envolvente no logotipo
CCfgDocLogDsX$    = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.LOG.DSX")        'deslocamento horizontal logotipo
CCfgDocNomLog2$   = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.NOM.LOGO2")      'nome logotipo 2
CCfgDocLarLog$    = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.LAR.LOGO")       'largura logotipo
CCfgDocAltLog$    = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.ALT.LOGO")       'altura logotipo
CCfgDocLarLog2$   = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.LAR.LOGO2")      'largura logotipo 2
CCfgDocAltLog2$   = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.ALT.LOGO2")      'altura logotipo 2


'cabecalho documento
CCfgDocUsaCxCab$  = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.CX.INF.CAB")     'usa caixa informacao cabecalho
CCfgDocUsaInCab$  = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.TX.INF.CAB")     'texto para caixa informacao cabecalho
CCfgDocUsaCorCab$ = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.USA.COR")        'usa cor nas caixas de cabecalho
CCfgDocUsaNib$    = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.USA.NIB")        'usa nib da empresa
CCfgDocUsaNibFon$ = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.USA.NIB.FON")    'usa fonte para nib da empresa
CCfgDocUsaIban$   = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.USA.IBAN")       'usa Iban da empresa
CCfgDocUsaIbanFon$= TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.USA.IBAN.FON")   'usa fonte para Iban da empresa
CCfgDocLabCampo$  = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.LAB.CMP")        'label para campo novo
CCfgDocEncTitEmp$ = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.ENC.TIT.EMP")    'posicao corte titulo empresa ENC
CCfgDocEncTitFon$ = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.ENC.TIT.FON")    'fonte titulo empresa ENC
CCfgDocEncMovTit$ = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.ENC.TIT.MOV")    'deslocamento titulo empresa ENC
CCfgDocEncMovTitV$= TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.ENC.TIT.MOVV")   'deslocamento vertical titulo empresa ENC

'fim/rodape do documento
CCfgDocUsaCxRod$  = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.CX.INF.ROD")     'usa caixa informacao rodape
CCfgDocUsaInRod$  = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.TX.INF.ROD")     'texto para caixa informacao rodape
CCfgDocMotIseFim$ = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.MOT.ISE.FIM")    'motivo isencao no fim ?
CCfgDocTipFonTcx$ = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.FON.TXT.CX")     'fonte para textos caixas cab/rodape

'diversos
CCfgDocPapTimb$   = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.PAP.TIM")        'usa papel timbrado
CCfgDocUsaLinVert$= TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.LIN.VERT")       'usa separadores verticais no corpo do documento
CCfgDocUsaLinInf$ = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.INF.FIM.LIN")    'usa informacao para fim de linhas
CCfgDocCorLetra$  = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.USA.COR.LT")     'usa cor nas letras
CCfgDocFacGt$     = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.FAC.GT")         'usa factura como guia de transporte
CCfgDocPosBas$    = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.POS.BAS")        'posicao base X
CCfgDocUsaMb$     = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.USA.MB")         'usa MB (so para facturas e Avisos Cobranca)

'POS
CCfgDocPosCtTit$  = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.POS.TIT.EMP")    'posicao corte titulo talao POS
CCfgDocLrgTikPos$ = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.POS.LRG.TIK")    'largura do impresso POS
CCfgDocPosTitFon$ = TabAdiCon$("V", tabVar$, "CFG_DOC_CMP.POS.TIT.FON")    'fonte titulo empresa POS

'processar opcoes de configuracao
call LogoPrp                                                       'preparar logo

'azerar variaveis
CUsaPapTim    = 0
CUsaCxInf     = 0
CUsaMotIseFim = 0
CLstSepVert   = 0
CUsaInfLin    = 0
CUsaCxInfC    = 0
CUsaCorCab    = 0
CUsaNib       = 0
CUsaIban      = 0
CUsaFacGt     = 0
CUsaPrcGt     = 0
CUsaLabCmp    = 0
CUsaPosBas    = 0
CUsaLogoCxe   = 0
CUsaLogo2     = 0
CUsaAltLog    = 0
CUsaLarLog    = 0
CUsaAltLog2   = 0
CUsaLarLog2   = 0

CUsaCorLetra  = val(CCfgDocCorLetra$)                               'activar cor da letra
CUsaMoeCtv    = val(CCfgDocMoeCmb$)                                 'moeda para contravalor

'LOGOTIPOS
if CCfgDocNomLog2$ <> "" then                                       'usa logo 2?
   CUsaLogo2 = 1                                                    'activar variavel
else
   CUsaLogo2 = 0                                                    'activar variavel
end if

if cCfgDocLogCxe$ = "1" then                                        'usa caixa envolvente no logotipo ?
   CUsaLogoCxe = 1                                                  'activar variavel 
else
   CUsaLogoCxe = 0                                                  'activar variavel 
end if

if CCfgDocLogDsx$ <> "" then                                        'deslocamento horizontal no logotipo ?
   CUsaDesLog = 1                                                   'activar variavel
   ValDesLog = val(CCfgDocLogDsx$)                                  'valor posicao base 
else
   CUsaDesLog = 0                                                   'activar variavel
end if

if CfgDocLarLog$ <> "" then                                         'largura do logotipo
   CUsaLarLog = 1                                                   'activar variavel
   CValLarLog = val(CfgDocLarLog$)                                  'valor posicao base 
else
   CUsaLarLog = 0                                                   'activar variavel
end if

if CCfgDocAltLog$ <> "" then                                        'altura do logotipo
   CUsaAltLog = 1                                                   'activar variavel
   CValAltLog = val(CCfgDocAltLog$)                                 'valor posicao base 
else
   CUsaAltLog = 0                                                   'activar variavel
end if

if CCfgDocLarLog2$ <> "" then                                       'largura do logotipo 2
   CUsaLarLog2 = 1                                                  'activar variavel
   CValLarLog2 = val(CCfgDocLarLog2$)                               'valor posicao base 
else
   CUsaLarLog2 = 0                                                  'activar variavel
end if

if CCfgDocAltLog2$ <> "" then                                       'altura do logotipo 2
   CUsaAltLog2 = 1                                                  'activar variavel
   CValAltLog2 = val(CCfgDocAltLog2$)                               'valor posicao base 
else
   UsaAltLog = 0                                                    'activar variavel
end if



'FUNCOES PARA USAR NO CABECALHO ======================================================================================
if CCfgDocUsaCxCab$ = "1" then                                      'usa caixa informacao cabecalho ?
   CUsaCxInfC = 1                                                   'activar variavel 
   InfoCxCab$ = CCfgDocUsaInCab$                                    'informacao para caixa
else
   CUsaCxInfC = 0                                                   'activar variavel 
end if

if CCfgDocUsaCorCab$ = "1" then                                     'usa cor nos cabecalhos ?
   CUsaCorCab = 1                                                   'activar variavel
else
   CUsaCorCab = 0                                                   'activar variavel
end if

if CCfgDocUsaNib$ <> "" then                                        'usa nib ?
   CUsaNib = 1                                                      'activar variavel
else
   CUsaNib = 0                                                      'activar variavel
end if

if CCfgDocUsaNibFon$ <> "" then                                     'fonte NIB
   CUsaNibFon = 1                                                   'activar variavel
   ValNibFon = val(CCfgDocUsaNibFon$)                               'valor fonte NIB
else
   CUsaNibFon = 0                                                   'activar variavel
end if

if CCfgDocUsaIban$ <> "" then                                       'usa iban ?

   if Emp_inf_Obs$ <> "" then                                       'campo Diversos Tabela Empresa preenchido ?
      CfgDocUsaIban$ = Emp_Inf_Obs$
   end if

   CUsaIban = 1                                                     'activar variavel
   CUsaNib  = 0                                                     'desactivar nib
else
   CUsaIban = 0                                                     'activar variavel
end if

if CCfgDocUsaIbanFon$ <> "" then                                    'fonte iban
   CUsaIbanFon = 1                                                  'activar variavel
   ValIbanFon = val(CCfgDocUsaIbanFon$)                             'valor fonte iban
else
   CUsaIbanFon = 0                                                  'activar variavel
end if

if CCfgDocLabCampo$ = "" then                                       'label para novo campo
   CUsaLabCmp = 0                                                   'activar variavel
else
   CUsaLabCmp = 1                                                   'activar variavel
end if

if CCfgDocEncTitEmp$ <> "" then                                     'posicao corte titulo empresa ENC
   CUsaEncTit = 1                                                   'activar variavel
   ValEncTit = val(CCfgDocEncTitEmp$)                               'valor posicao corte empresa ENC
else
   CUsaEncTit = 0                                                   'activar variavel
end if

if CCfgDocEncTitFon$ <> "" then                                     'fonte titulo empresa ENC
   CUsaEncTfo = 1                                                   'activar variavel
   ValEncTfo = val(CCfgDocEncTitFon$)                               'valor fonte empresa ENC
else
   CUsaEncTfo = 0                                                   'activar variavel
end if

if CCfgDocEncMovTit$ <> "" then                                     'deslocamento horizontal titulo empresa ENC
   CUsaEncTitDes = 1                                                'activar variavel
   ValEncTitDes = val(CCfgDocEncMovTit$)                            'valor deslocamento empresa ENC
else
   CUsaEncTitDes = 0                                                'activar variavel
end if

if CCfgDocEncMovTitV$ <> "" then                                    'deslocamento horizontal titulo empresa ENC
   CUsaEncTitDesV = 1                                               'activar variavel
   ValEncTitDesV = val(CCfgDocEncMovTitV$)                          'valor deslocamento empresa ENC
else
   CUsaEncTitDesV = 0                                               'activar variavel
end if


'FUNCOES PARA USAR NO FIM/RODAPE =====================================================================================
if CCfgDocUsaCxRod$ = "1" then                                      'usa caixa informacao rodape ?
   CUsaCxInf  = 1                                                   'activar variavel 
   InfoCxRod$ = CCfgDocUsaInRod$                                    'informacao para caixa
else
   CUsaCxInf  = 0                                                   'activar variavel 
end if

if CCfgDocTipFonTcx$ <> "" then                                     'fonte texto caixas cab/rodape
   UsaFonCxTxt = 1                                                  'activar variavel
   ValFonCxTxt = val(CCfgDocTipFonTcx$)                             'valor fonte texto
else
   UsaFonCxTxt = 0                                                  'activar variavel
end if


if CCfgDocMotIseFim$ = "1" then                                     'usa motivo isencao no fim do documento ?
   CUsaMotIseFim = 1                                                'activar variavel 
else
   CUsaMotIseFim = 0                                                'activar variavel 
end if


'DIVERSOS ============================================================================================================
if CCfgDocPapTimb$ = "1" then                                       'usa papel timbrado ?
   CUsaPapTim  = 1                                                  'activar variavel 
else
   CUsaPapTim  = 0                                                  'activar variavel 
end if


if CCfgDocusaLinVert$ = "1" then                                    'usa linhas verticais no corpo do documento ?
   CLstSepVert = 1                                                  'activar variavel 
else
   CLstSepVert = 0                                                  'activar variavel 
end if


if CCfgDocUsaLinInf$ <> "" then                                     'informacao para fim de linha
   CusaInfLin = 1                                                   'activar variavel
else
   CusaInfLin = 0                                                   'activar variavel
end if


if CCfgDocFacGt$ = "1" then                                         'usa factura como guia de transporte
   CUsaFacGt = 1                                                    'activar variavel
else
   CUsaFacGt = 0                                                    'activar variavel
end if


if CCfgDocLogDsx$ <> "" then                                        'deslocamento horizontal no logotipo ?
   CUsaDesLog = 1                                                   'activar variavel
   ValDesLog = val(CCfgDocLogDsx$)                                  'valor posicao base 
else
   CUsaDesLog = 0                                                   'activar variavel
end if


if CCfgDocUsaMb$ = "1" then                                         'usa Multibanco ?
   CUsaMb = 1                                                       'activar variavel 
else
   CUsaMb = 0                                                       'activar variavel 
end if


'imprime valores no documento
ImpVal$ = EncDocParOpcCon$("DOCIMPVAL")                            'ler valor ficheiro parametros
if ImpVal$ ="N" then                                               'nao imprime valores 
   CUsaPrcGt = 0                                                   'activar variavel
else
   CUsaPrcGt = 1                                                   'activar variavel
end if


if CCfgDocPosBas$ <> "" then                                        'posicao X base
   CUsaPosBas = 1                                                   'activar variavel
   ValPosBas = val(cCfgDocPosBas$)                                  'valor posicao base 
else
   CUsaPosBas = 0                                                  'activar variavel
   ValPosBas = Margem                                              'valor posicao base
end if


'POS - DIVERSOS ======================================================================================================
if CCfgDocPosCtTit$ <> "" then                                      'posicao corte titulo talao POS
   CUsaPosTit = 1                                                   'activar variavel
   ValPosTit = val(CCfgDocPosCtTit$)                                'valor posicao corte titulo POS
else
   CUsaPosTit = 0                                                   'activar variavel
end if


if val(CCfgDocLrgTikPos$) > 0 then                                  'largura impresso POS
   CUsaPosLrg = 1                                                   'activar variavel
   ValPosLrg = val(CCfgDocLrgTikPos$)                               'largura impresso POS
else
   CUsaPosLrg = 0                                                   'activar variavel
   ValPosLrg = 63                                                   'largura impresso POS
end if

if val(CCfgDocUsaIvaPrc$) > 0 then
   CUsaPrcIva = 1
else
   CUsaPrcIva = 0
end if

if CCfgDocPosTitFon$ <> "" then                                     'fonte titulo empresa POS
   CUsaPosTfo = 1                                                   'activar variavel
   ValPosTfo = val(CCfgDocPosTitFon$)                               'valor fonte empresa POS
else
   CUsaPosTfo = 0                                                  'activar variavel
end if
end sub


'==============================================================================
'#CAB - Preparar listagem do Cabecalho do documento
'==============================================================================
Sub DocCabFac 'cabecalho do documento
docNli = VBS_DocConOpc("DocLpg")                    'numero de linhas do documento

FimDoc       = docNli * dimLinY + 115               'fim do documento
dimZonLinY   = Fimdoc - PosIdeLin                   'dimensao da zona de linhas - altura


'listar
PrWin PAG_PRP                                       'preparar pagina

call DocCerLisAnu                                   'listar informacao de anulado
call DocCabLogo                                     'cabecalho do documento - logotipo

if UsaPosBas > 0 then                               'nova posicao Base X ?
   Margem = Margem+ValPosBas                        'adicionar valor a variavel Margem
   ValPosBas = 0                                    'azerar variavel
end if

'- Tamanhos das colunas ----------------------------------------------------------
esp=0                                               'espaco entre colunas
altQ=5                                              'altura de quadro titulo de linha
DocTipRecibo = 0                                    'documento tipo recibo - azerar variavel

MargemD= 184                                        'margem direita
liCabDy = 5                                         'altura da linha de cabecalho (titulos de colunas)
uso$ = "DC"                                         'tipo de uso - por dimensao das colunas

if @RcPgModo = "RCB" then 
   DocTipRecibo = 1                                 'documento tipo recibo
end if

if @RcPgModo = "PAG" then 
   DocTipRecibo = 1                                 'documento tipo recibo
end if

if DocTipRecibo = 1 then
   FimDocR      = docNli * dimLinY + 125            'fim do documento - recibo
   dimZonLinY   = FimdocR - PosIdeLin               'dimensao da zona de linhas - altura

   if uso$ = "PC" then                              'por posicao de colunas
      co01Px =   0                                  'posicao coluna esquerda (documento)
      co02Px =  79                                  'posicao coluna esquerda (valor) 
      co03Px = 114                                  'posicao coluna esquerda (valor pago)
      co04Px = 149                                  'posicao coluna esquerda (valor pendente)
      co05Px = MargemD                              'posicao da coluna 4

      co01Dx = co02Px - co01Px                      'dimensao da coluna 1
      co02Dx = co03Px - co02Px                      'dimensao da coluna 2
      co03Dx = co04Px - co03Px                      'dimensao da coluna 3
      co04Dx = co05Px - co04Px                      'dimensao da coluna 4
   else
      co01Dx = 79                                   'dimensao da coluna 1
      co02Dx = 35                                   'dimensao da coluna 2
      co03Dx = 35                                   'dimensao da coluna 3
      co04Dx = 35                                   'dimensao da coluna 4

      co01Px = 0
      co02Px = co01Px + co01Dx
      co03Px = co02Px + co02Dx
      co04Px = co03Px + co03Dx
      co05Px = co04Px + co04Dx

      'ajuste da ultima coluna
      co05Px = MargemD                              'posicao da coluna 5
      co04Dx = co05Px - co05Px                      'dimensao da coluna 4
   end if

   co01Pv = co01Px + 0.5                            'posicao do valor coluna 1
   co02Pv = co02Px + 0.5                            'posicao do valor coluna 2
   co03Pv = co03Px + 0.5                            'posicao do valor coluna 3
   co04Pv = co04Px + 0.5                            'posicao do valor coluna 4
   co05Pv = co05Px + 0.5                            'posicao do valor coluna 5
else
   if uso$ = "PC" then                              'por posicao de colunas
      co01Px =   0                                  'posicao coluna esquerda (codigo)
      co02Px =  24                                  'posicao coluna esquerda (designacao) 
      co03Px =  90                                  'posicao coluna esquerda (quantidade)   
      co04Px = 106                                  'posicao coluna esquerda (unidade) 
      co05Px = 114                                  'posicao coluna esquerda (preco unitario) 
      co06Px = 124                                  'posicao coluna esquerda (desconto) 
      co07Px = 149                                  'posicao coluna esquerda (valor total) 
      co08Px = 179                                  'posicao coluna esquerda (iva) 
      co09Px = MargemD                              'posicao da coluna 9

      co01Dx = co02Px - co01Px                      'dimensao da coluna 1
      co02Dx = co03Px - co02Px                      'dimensao da coluna 2
      co03Dx = co04Px - co03Px                      'dimensao da coluna 3
      co04Dx = co05Px - co04Px                      'dimensao da coluna 4
      co05Dx = co06Px - co05Px                      'dimensao da coluna 5
      co06Dx = co07Px - co06Px                      'dimensao da coluna 6
      co07Dx = co08Px - co07Px                      'dimensao da coluna 7
      co08Dx = co09Px - co08Px                      'dimensao da coluna 8
   else
      co01Dx = 25                                   'dimensao da coluna 1
      co02Dx = 70                                   'dimensao da coluna 2
      co03Dx = 18                                   'dimensao da coluna 3
      co04Dx =  8                                   'dimensao da coluna 4
      co05Dx = 20                                   'dimensao da coluna 5
      co06Dx = 17                                   'dimensao da coluna 6
      co07Dx = 20                                   'dimensao da coluna 7
      co08Dx =  7                                   'dimensao da coluna 8

      co01Px = 0
      co02Px = co01Px + co01Dx
      co03Px = co02Px + co02Dx
      co04Px = co03Px + co03Dx
      co05Px = co04Px + co04Dx
      co06Px = co05Px + co05Dx
      co07Px = co06Px + co06Dx
      co08Px = co07Px + co07Dx

      'ajuste da ultima coluna
      co09Px = MargemD                              'posicao da coluna 9
      co08Dx = co09Px - co08Px                      'dimensao da coluna 8
   end if

   co01Pv = co01Px + 0.5                            'posicao do valor coluna 1
   co02Pv = co02Px + 0.5                            'posicao do valor coluna 2
   co03Pv = co03Px + 0.5                            'posicao do valor coluna 3
   co04Pv = co04Px + 0.5                            'posicao do valor coluna 4
   co05Pv = co05Px + 0.5                            'posicao do valor coluna 5
   co06Pv = co06Px + 0.5                            'posicao do valor coluna 6
   co07Pv = co07Px + 0.5                            'posicao do valor coluna 7
   co08Pv = co08Px + 0.5                            'posicao do valor coluna 8  
   co09Pv = co09Px + 0.5                            'posicao do valor coluna 9
end if

'---------------------------------------------------------------------------------------------
PrWIN COR_T, CfgDocCorLetra$                        'activar cor de traco (letra) 
PrWIN AJT_B,  Margem, 10.0                          'posicao base

if UsaPapTim = 0 then                               'usa papel timbrado ?
   if UsaEncTfo = 1 then                            'usa fonte para titulo ?
      PrWIN FON, ValEncTfo, 1                       'activar fonte
      PrWin FON, "BOLD+"                            'activar bold
   else
      PrWIN FON, 18, 1                              'activar fonte
      PrWin FON, "BOLD+"                            'activar bold
   end if

   tam = 60 - ValEncTit                             'tamanho do nome da empresa para mid$

   if logoUsaEmp = 3 then
      if UsaEncTit = 1 then
         PrWIN TX_N,  2,  6,left$(Emp_Inf_Nome$,ValEncTit)         'nome da empresa
         PrWIN TX_N,  2, 12,mid$(Emp_Inf_Nome$,ValEncTit+1,tam)    'nome da empresa
      else
         PrWIN TX_N,  2+ValEncTitDes, 15+ValEncTitDesV,@EmpNome    'nome da empresa
      end if
   else
      if logoUsaEmp = 0 then
         if UsaEncTit = 1 then
            PrWIN TX_N,  2,  6,left$(Emp_Inf_Nome$,ValEncTit)      'nome da empresa
            PrWIN TX_N,  2, 12,mid$(Emp_Inf_Nome$,ValEncTit+1,tam) 'nome da empresa
         else
            PrWIN TX_N,  2+ValEncTitDes, 15+ValEncTitDesV,@EmpNome 'nome da empresa
         end if
      else
         if UsaEncTit = 1 then
            PrWIN TX_N, 55,  6,left$(Emp_Inf_Nome$,ValEncTit)      'nome da empresa
            PrWIN TX_N, 55, 12,mid$(Emp_Inf_Nome$,ValEncTit+1,tam) 'nome da empresa
         else
            PrWIN TX_N, 55+ValEncTitDes, 10+ValEncTitDesV,@EmpNome 'nome da empresa
         end if 
      end if
   end if
   PrWin FON, "BOLD-"                               'desactivar bold

   'Dados da empresa
   PrWIN FON,  9, 1                                 'activar fonte
   PrWIN AJT_B,  Margem+2, 10.0                     'posicao base

   if CerTdoTip$ = "NSF" then
      PrWIN GR_CX, 98,26,155, 33, 2                  'caixa dos dados do documento     
      PrWIN TX_N ,100,28,@vCerTdoTip                 'distico "Este documento não serve de factura
   end if

   PrWIN TX_N,  0, 24,@EmpMorada                    'morada
   PrWIN TX_N,  0, 28,@EmpLocal                     'localidade
   PrWIN TX_N,  0, 32,@EmpCpost                     'código postal

   if Emp_Inf_Fax$ = "" then
      PrWIN TX_N,  0, 38,"Telefone: "               'titulo - tipo de sociedade
      PrWIN TX_N, 16, 38,@EmpTel                    'telefone
   else
      PrWIN TX_N,  0, 38,"Telefone/Fax: "           'titulo - tipo de sociedade
      PrWIN TX_N, 21, 38,@EmpTelFax                 'telefone/fax
   end if

   if Emp_Inf_Web$ <> "" then
      PrWIN TX_N,  0, 42,"Endereço NET : "          'titulo - endereço net
      PrWIN TX_N, 24, 42,@EmpWeb                    'endereço net
      PrWIN TX_N,  0, 46,"E-Mail:"                  'titulo - email
      PrWIN TX_N, 13, 46,@EmpMail                   'mail        
   else
      if Emp_Inf_Email$ <> "" then
         PrWIN TX_N,  0, 42,"E-Mail:"               'titulo - email
         PrWIN TX_N, 13, 42,@EmpMail                'mail
      end if 
   end if

   PrWIN TX_N,  0, 51,"Contribuinte Nº:"            'titulo - contribuinte
   PrWIN TX_N, 26, 51,@EmpCtrb                      'contribuinte


call VerTdocIbanOk ' ver se documento/iban é válido para listar
if IbanOk = 1 then                               'valido
   if UsaIban = 1 then
      if UsaIbanFon = 1 then
         PrWIN FON, ValIbanFon, 1                   'activar fonte
         PrWIN TX_N,  0, 55,"IBAN: "                'titulo - Iban
         PrWIN TX_N,  9, 55, CfgDocUsaIban$         'escreve Iban
         PrWIN FON, 9, 1                            'activar fonte
      else
         PrWIN TX_N,  0, 55,"IBAN: "                'titulo - Iban
         PrWIN TX_N,  9, 55, CfgDocUsaIban$         'escreve Iban
      end if
   else
      if UsaNib = 1 then
            if UsaNibFon = 1 then       
               PrWIN FON, ValNibFon, 1                 'activar fonte
               PrWIN TX_N,  0, 55,"NIB: "              'titulo - nib      
               PrWIN TX_N,  8, 55, CfgDocUsaNib$       'escreve nib
               PrWIN FON, 9, 1                         'activar fonte
            else
               PrWIN TX_N,  0, 55,"NIB: "              'titulo - nib      
               PrWIN TX_N,  8, 55, CfgDocUsaNib$       'escreve nib
            end if
      end if
   end if
end if

'dados de registo 
PrWIN AJT_B, Margem, 70                             'posicao base

if CUsaCorCab = 1 then                              'usa cor cabecalho ?
   PrWIN COR_E, 200, 200, 200                       'cor de enchimento RGB
   PrWIN GR_ME, 0                                   'modo de enchimento
   PrWIN GR_CE,  0,  0, 75, 12, 2                   'caixa do cabecalho
else
   PrWIN GR_CX,  0,  0, 75, 12, 2                   'caixa do cabecalho
end if

PrWIN GR_CX,  0,  0, 75, 17, 2                      'caixa dos dados do documento
PrWIN GR_LI,  0,  7, 75,  7, 2                      'separador horizontal do documento
PrWIN GR_LI,  0, 12, 75, 12, 2                      'separador horizontal do documento
PrWIN GR_LI, 18,  7, 18, 17, 2                      'separador Vertical   do documento
PrWIN GR_LI, 60,  7, 60, 17, 2                      'separador Vertical do documento

'caixa para dados do documento
PrWin FON, "BOLD+"                                  'activar bold
PrWIN   FON, 16,   1                                'activar fonte
PrWIN TX_CTR, 0,  0, 75,  7,@vCerDocIde
PrWIN   FON,  9,   1                                'activar fonte
PrWIN TX_CTR, 0,  7, 18, 12,"Data"                  'titulo - data
PrWIN TX_CTR,18,  7, 60, 12,"Número"                'titulo - documento
PrWIN TX_CTR,60,  7, 75, 12,"Via"                   'titulo - via
PrWin FON, "BOLD-"                                  'desactivar bold
PrWIN TX_CTR, 0, 12, 18, 17,@DocRcDtl               'data
PrWIN TX_CTR,18, 12, 60, 17,@vCerDocNum             'numero
PrWIN TX_CTR,60, 12, 75, 17,@DocVia                 'via

usaCpm = 0                                          'assume nao usar copia manual

if CerDocSit$ = "CPM" then                          'copia documento manual ?
   usaCpm = 1                                       'usar copia manual
end if

if CerDocSit$ = "CPD" then                          'copia documento danificado ?
   usaCpm = 1                                       'usar copia manual
end if

if CerDocSit$ = "CPF" then                          'copia documento de fornecedor ?
   usaCpm = 1                                       'usar copia manual
end if

if usaCpm = 1 then                                  'copia documento manual ?
   if @CodIdeDoc <> "" then                         'guia de transporte ?
      PrWIN GR_CX,  0, 17, 37.5, 22, 2              'caixa dos dados do documento
      PrWIN GR_CX,37.5,17, 75  , 22, 2              'caixa dos dados do documento
      PrWIN   FON,  7,   1                          'activar fonte
  
      PrWin FON, "BOLD+"                            'activar bold
      PrWIN  TX_N,  2, 18,"Doc. Org. Nº:"           'titulo
      PrWin FON, "BOLD-"                            'activar bold
      PrWIN  TX_N, 19, 18,@vCerDocAss               'assinatura
      PrWin FON, "BOLD+"                            'activar bold
      PrWIN  TX_N, 39, 18,"Código AT :"             'titulo
      PrWin FON, "BOLD-"                            'activar bold
      PrWIN TX_N,  55, 18,@CodIdeDoc                'codigo de identificacao documento
   else
      PrWIN GR_CX,  0, 17, 75, 22, 2                'caixa dos dados do documento
      PrWIN   FON,  8,   1                          'activar fonte
      PrWin FON, "BOLD+"                            'activar bold
      PrWIN  TX_N,  1, 18,"Cópia Doc. Nº "          'titulo
      PrWin FON, "BOLD-"                            'activar bold

      PrWIN  TX_N, 21, 18,@DocNumM                  'numero documento manual
      DocDatM$ = TxIde$(Enc_Mst_Opc$,"CER_CPM_DTM") 'ler data documento original
      PrWIN  TX_N, 60, 18,DocDatM$                  'data documento original
   end if
end if


if @CodIdeDoc <> "" then                            'guia de transporte?
   if CerDocSit$="CPM" then
      PrWIN GR_CX,  0, 17, 37.5, 22, 2              'caixa dos dados do documento
      PrWIN GR_CX,37.5,17, 75  , 22, 2              'caixa dos dados do documento
      PrWIN   FON,  7,   1                          'activar fonte
  
      PrWin FON, "BOLD+"                            'activar bold
      PrWIN  TX_N,  2, 18,"Doc. Org. Nº:"           'titulo
      PrWin FON, "BOLD-"                            'activar bold
      PrWIN  TX_N, 19, 18,@vCerDocAss               'assinatura
      PrWin FON, "BOLD+"                            'activar bold
      PrWIN  TX_N, 39, 18,"Código AT :"             'titulo
      PrWin FON, "BOLD-"                            'activar bold
      PrWIN TX_N,  55, 18,@CodIdeDoc                'codigo de identificacao documento
   else
      PrWIN GR_CX,  0, 17, 75, 22, 2                'caixa dos dados do documento
      PrWIN   FON,  9,   1                          'activar fonte
      PrWin FON, "BOLD+"                            'activar bold
      PrWIN  TX_N, 15, 18,"Código AT :"             'titulo
      PrWIN TX_N,  35, 18,@CodIdeDoc                'codigo de identificacao documento
      PrWin FON, "BOLD-"                            'activar bold
   end if
end if
  
'caixa para informacoes para cabecalho
if UsaCxInfC = 1 then                               'caixa de informacoes no cabecalho
   PrWIN GR_CX, 78, 12,MargemD, 17, 2               'caixa para informacoes

   info$=InfoCxCab$                                 'texto para informacao
   if UsaFonCxTxt = 1 then                          'activar variavel
      PrWIN   FON, ValFonCxTxt,   1                 'activar fonte
   else
      PrWIN   FON,  6,   1                          'activar fonte
   end if

   PrWIN TX_CTR,79, 12,MargemD, 17,info$            'informacao
   PrWIN   FON,  9,   1                             'activar fonte
end if

PrWIN AJT_B, Margem, 59                             'posicao base

if UsaLabCmp = 1 then                               'novo campo
   CmpPos = left$(CfgDocLabCampo$,2)                'posicao escrita campo novo 
   CmpLab$= mid$(CfgDocLabCampo$,4,15)              'identificacao para campo novo

   PrWIN TX_N, 80, 30,CmpLab$                       'titulo - campo novo       
   PrWIN TX_N, 80+CmpPos, 30,@Adse                  'titulo - campo novo       
end if

PrWIN  TX_N,169, 30,"Página:"                       'titulo 
PrWIN  TX_N,181, 30,@Pag                            'numero da pagina
PrWIN FON, 10, 1                                    'activar fonte

'destinatario do documento
PrWIN AJT_B, Margem+100, 37                         'posicao base
PrWIN TX_N, 0, 10,"Exmo(s). Snr(s).:"               'titulo
PrWIN TX_N, 0, 20,@Nome                             'nome do destinatario do documento
PrWIN TX_N, 0, 25,@Morada                           'morada do destinatario do documento
PrWIN TX_N, 0, 30,@Local                            'localidade do destinatario do documento
PrWIN TX_N, 0, 35,@Cpost                            'codigo postal do destinatario do documento

PrWIN AJT_B, Margem,  94                            'posicao base
PrWIN   FON,  8,   1                                'activar fonte
PrWIN GR_CX,  0,  0, MargemD, 10, 2                 'caixa dos dados do cliente

if CUsaCorCab = 1 then                              'usa cor cabecalho ?
   PrWIN COR_E, 200, 200, 200                       'cor de enchimento RGB
   PrWIN GR_ME, 0                                   'modo de enchimento
   PrWIN GR_CE,  0,  0, MargemD,  5, 2              'caixa do cabecalho
else
   PrWIN GR_CX,  0,  0, MargemD,  5, 2              'caixa do cabecalho
end if

if DocTipRecibo = 1 then
   call CabRec2                                     'recibo
else
   call CabFac2                                     'factura
end if
end sub


'-----------------------------------------------------------------------------------
' Cabecalho Factura
'-----------------------------------------------------------------------------------
SUB CabFac2 
call VerForOk                                       ' ver se é fornecedor

PrWIN GR_LI,  0,  5, MargemD,  5, 2
PrWIN GR_LI, 26,  0, 26, 10, 2                      'separador Vertical do documento

if ForOk = 1
   PrWIN GR_LI, 73,  0, 73, 10, 2                   'separador Vertical do documento
else
   PrWIN GR_LI, 54,  0, 54, 10, 2                   'separador Vertical do documento
   PrWIN GR_LI, 73,  0, 73, 10, 2                   'separador Vertical do documento
end if

PrWIN GR_LI,102,  0,102, 10, 2                      'separador Vertical do documento
PrWIN GR_LI,114,  0,114, 10, 2                      'separador Vertical do documento
PrWIN GR_LI,152,  0,152, 10, 2                      'separador Vertical do documento
PrWIN GR_LI,MargemD,  0,MargemD, 10, 2

if ForOk = 1 then
   PrWIN TX_CTR,  0, 0, 26, 05,"Fornecedor"         'titulo
else
   PrWIN TX_CTR,  0, 0, 26, 05,"Cliente"            'titulo
end if

if ForOk = 1 then
   PrWIN TX_CTR, 26, 0, 73, 05,"V/ Nº Contribuinte " 'titulo
else
   PrWIN TX_CTR, 26, 0, 54, 05,"V/ Nº Contribuinte " 'titulo
   PrWIN TX_CTR, 54, 0, 73, 05,"Vendedor "           'titulo 
end if

PrWIN TX_CTR, 73, 0,102, 05,"Data Vencimento"       'titulo
PrWIN TX_CTR,102, 0,114, 05,"Moeda"                 'titulo
PrWIN TX_CTR,114, 0,152, 05,"Condições Pagamento"   'titulo
PrWIN TX_CTR,152, 0,MargemD, 05,"Regime IVA"        'titulo

PrWIN TX_CTR, 0,  5, 26, 10,@Ct                     'conta

if ForOk = 1 then
   if @Ctrb<>"999999990" then                          'contribuinte = 999999990 ?
      PrWIN TX_CTR,25,  5, 72, 10,@Ctrb                'contribuinte
   else
      PrWIN TX_CTR,25,  5, 72, 10,"Consumidor Final"   'escrever consumidor final
   end if
else
   if @Ctrb<>"999999990" then                          'contribuinte = 999999990 ?
      PrWIN TX_CTR,25,  5, 55, 10,@Ctrb                'contribuinte
   else
      PrWIN TX_CTR,25,  5, 55, 10,"Consumidor Final"   'escrever consumidor final
   end if

   if Enc_Mst_Vend = 0 then                            'vendedor - empresa ?
      PrWIN TX_CTR,55,  5, 72, 10,"Empresa"            'vendedor
   else
      PrWIN   FON,  5,   1                             'activar fonte
      PrWIN TX_CTR,56,  5, 72, 10,@Vend                'vendedor
      PrWIN   FON,  8,   1                             'activar fonte
   end if
end if

PrWIN TX_CTR,72,  5,102, 10,@DocRcDtv               'data vencimento
PrWIN TX_CTR,103, 5,114, 10,@Abv1                   'moeda
PrWIN TX_CTR,114, 5,152, 10,@cpag                   'condicoes de pagamento 

if TipoRegIva=1 then
   PrWIN   FON,  7,   1                             'activar fonte
   Riva$ = "IVA - Regime de Caixa"                  'regime de iva de caixa
   PrWIN TX_CTR,150, 5,MargemD, 10,Riva$            'escrever regime
   PrWIN   FON,  8,   1                             'activar fonte
else
   Riva$ = "IVA - Regime Geral"                     'regime de iva geral
   PrWIN TX_CTR,150, 5,MargemD, 10,Riva$            'escrever regime
end if

PrWIN AJT_B, Margem, PosIdeLin-3                    'posicao base

if UsaPapTim = 1 then                               'usa papel timbrado ?
   PrWIN FON, 06, 1                                 'activar fonte
   PrWIN TX_Ro,  -3.5,150, 90,@EmpPTim              'dados empresa quando é papel timbrado
end if

if CUsaCorCab = 1 then                              'usa cor cabecalho ?
   PrWIN COR_E, 200, 200, 200                       'cor de enchimento RGB
   PrWIN GR_ME, 0                                   'modo de enchimento
   PrWIN GR_CE,  0,  0,MargemD,  altq, 2            'caixa do cabecalho
else
   PrWIN GR_CX,  0,  0,MargemD,  altq, 2            'caixa do cabecalho
end if

PrWin FON, "BOLD+"                                  'activar bold
PrWIN FON, 8, 1                             	    'fonte para titulos da linha

PrWIN  TX_CTR, co01Px, 0, co02Px, liCabDy,"Código"       'titulo 
PrWIN  TX_CTR, co02Px, 0, co03Px, liCabDy,"Designação"   'titulo 
PrWIN  TX_CTR, co03Px, 0, co04Px, liCabDy,"Quant."       'titulo 
PrWIN  TX_CTR, co04Px, 0, co05Px, liCabDy,"Und."         'titulo 
PrWIN  TX_CTR, co05Px, 0, co06Px, liCabDy,"Pr. Unitário" 'titulo 
PrWIN  TX_CTR, co06Px, 0, co07Px, liCabDy,"Desco"        'titulo 
PrWIN  TX_CTR, co07Px, 0, co08Px, liCabDy,"Valor Total"  'titulo
PrWIN  TX_CTR, co08Px, 0, co09Px, liCabDy,"IVA"          'titulo

PrWIN FON, 7, 1                                     'fonte para linhas
PrWin FON, "BOLD-"                                  'desactivar bold

'ajustes para colunas
ajt=0
Col3=Col3+ajt
Col4=Col4+ajt
Col5=Col5+ajt
Col6=Col6+ajt
Col7=Col7+ajt
Col8=Col8

if LstSepVert = 1 then                              'usa separadores verticais no corpo documento ?
   PrWIN GR_LV,co02Px,  0, dimZonLinY, 2            'separador Vertical na linha do documento
   PrWIN GR_LV,co03Px,  0, dimZonLinY, 2            'separador Vertical na linha do documento
   PrWIN GR_LV,co04Px,  0, dimZonLinY, 2            'separador Vertical na linha do documento
   PrWIN GR_LV,co05Px,  0, dimZonLinY, 2            'separador Vertical na linha do documento
   PrWIN GR_LV,co06Px,  0, dimZonLinY, 2            'separador Vertical na linha do documento
   PrWIN GR_LV,co07Px,  0, dimZonLinY, 2            'separador Vertical na linha do documento
   PrWIN GR_LV,co08Px,  0, dimZonLinY, 2            'separador Vertical na linha do documento
end if

PrWIN GR_CX,  0,  0, MargemD,dimZonLinY, 2          'caixa do corpo das linhas
Portes$=""
end sub


'-----------------------------------------------------------------------------------
' Cabecalho Recibo/Pagamento
'-----------------------------------------------------------------------------------
Sub CabRec2 'cabecalho do documento (Recibo)

call VerForOk                                       'ver se é fornecedor

PrWIN AJT_B, Margem,  94                            'posicao base
PrWIN   FON,  8,   1                                'activar fonte
PrWIN GR_CX,  0,  0, MargemD, 10, 2                 'caixa dos dados do cliente
PrWIN COR_E, 200, 200, 200                          'cor de enchimento RGB
PrWIN GR_ME, 0                                      'modo de enchimento
PrWIN GR_CE,  0,  0, MargemD,  5, 2                 'caixa do cabecalho
PrWIN GR_LI,  0,  5, MargemD,  5, 2                 'linha

if NumChq$<>"" then
   PrWIN GR_LI, 26,  0, 26, 10, 2                   'separador Vertical do documento
   PrWIN GR_LI, 54,  0, 54, 10, 2                   'separador Vertical do documento
   PrWIN GR_LI, 88,  0, 88, 10, 2                   'separador Vertical do documento
   PrWIN GR_LI, 98,  0, 98, 10, 2                   'separador Vertical do documento
   PrWIN GR_LI,140,  0,140, 10, 2                   'separador Vertical do documento
   PrWIN GR_LI,MargemD,  0,MargemD, 10, 2
else
   PrWIN GR_LI, 26,  0, 26, 10, 2                   'separador Vertical do documento
   PrWIN GR_LI, 54,  0, 54, 10, 2                   'separador Vertical do documento
   PrWIN GR_LI,102,  0,102, 10, 2                   'separador Vertical do documento
   PrWIN GR_LI,114,  0,114, 10, 2                   'separador Vertical do documento
   PrWIN GR_LI,MargemD,  0,MargemD, 10, 2
end if

if NumChq$<>"" then
   if ForOk = 1 then
      PrWIN TX_CTR,  0, 0, 26, 05,"Fornecedor"         'titulo
   else
      PrWIN TX_CTR,  0, 0, 26, 05,"Cliente"            'titulo
   end if

   PrWIN TX_CTR, 26, 0, 54, 05,"V/ Nº Contribuinte "   'titulo
   PrWIN TX_CTR, 54, 0, 88, 05,"Vendedor "             'titulo 
   PrWIN TX_CTR, 88, 0, 98, 05,"Moeda"                 'titulo
   PrWIN TX_CTR, 98, 0,140, 05,"Cheque Nº"             'titulo
   PrWIN TX_CTR,140, 0,MargemD, 05,"Regime IVA"        'titulo
else
   if ForOk = 1 then
      PrWIN TX_CTR,  0, 0, 26, 05,"Fornecedor"         'titulo
   else
      PrWIN TX_CTR,  0, 0, 26, 05,"Cliente"            'titulo
   end if

   PrWIN TX_CTR, 26, 0, 54, 05,"V/ Nº Contribuinte "   'titulo
   PrWIN TX_CTR, 54, 0,102, 05,"Vendedor "             'titulo 
   PrWIN TX_CTR,102, 0,114, 05,"Moeda"                 'titulo
   PrWIN TX_CTR,114, 0,MargemD, 05,"Regime IVA"        'titulo
end if

PrWIN TX_CTR, 0,  5, 26, 10,@Ct                        'conta

if @Ctrb<>"999999990" then                             'contribuinte = 999999990 ?
   PrWIN TX_CTR,25,  5, 55, 10,@Ctrb                   'contribuinte
else
   PrWIN TX_CTR,25,  5, 55, 10,"Consumidor Final"      'escrever consumidor final
end if

if NumChq$<>"" then
   if Enc_Mst_Vend = 0 then                            'vendedor - empresa ?
      PrWIN TX_CTR,55,  5,  88, 10,"Empresa"           'vendedor
   else
      PrWIN TX_CTR,56,  5,  88, 10,@Vend               'vendedor
   end if
else
   if Enc_Mst_Vend = 0 then                            'vendedor - empresa ?
      PrWIN TX_CTR,55,  5, 102, 10,"Empresa"           'vendedor
   else
      PrWIN TX_CTR,56,  5, 102, 10,@Vend               'vendedor
   end if
end if

if NumChq$<>"" then
   PrWIN TX_CTR, 88, 5, 98, 10,@Abv1                   'moeda
else
   PrWIN TX_CTR,102, 5,114, 10,@Abv1                   'moeda
end if

if NumChq$<>"" then
   PrWIN TX_CTR, 94, 5,140, 10,NumChq$                 'moeda
end if

if NumChq$<>"" then
   if TipoRegIva=1 then
      Riva$ = "IVA - Regime de Caixa"                  'regime de iva de caixa
      PrWIN TX_CTR,140, 5,MargemD, 10,Riva$            'escrever regime
   else
      Riva$ = "IVA - Regime Geral"                     'regime de iva geral
      PrWIN TX_CTR,140, 5,MargemD, 10,Riva$            'escrever regime
   end if
else
   if TipoRegIva=1 then
      Riva$ = "IVA - Regime de Caixa"                  'regime de iva de caixa
      PrWIN TX_CTR,114, 5,MargemD, 10,Riva$            'escrever regime
   else
      Riva$ = "IVA - Regime Geral"                     'regime de iva geral
      PrWIN TX_CTR,114, 5,MargemD, 10,Riva$            'escrever regime
   end if
end if

PrWIN AJT_B, Margem, PosIdeLin-3                       'posicao base

if UsaPapTim = 1 then                                  'usa papel timbrado ?
   PrWIN FON, 08, 1                                    'activar fonte
   PrWIN TX_Ro,  -3.5,150, 90,@EmpPTim                 'dados empresa quando é papel timbrado
end if

'-----------------------------------------------------------------------------------------
'titulos para linhas (recibo)
'-----------------------------------------------------------------------------------------
PrWIN COR_E, 200, 200, 200                                            'cor de enchimento RGB
PrWIN GR_ME, 0                                                        'modo de enchimento
PrWIN GR_CE,  0,  0,MargemD,liCabDy , 2                               'caixa do cabecalho
PrWin FON, "BOLD+"                                                    'activar bold
PrWIN FON, 8, 1                             	                      'fonte para titulos da linha
PrWIN GR_CX,  0, 0, MargemD,DimZonLinY, 2                             'caixa do corpo das linhas

if usaDisIva = 1 then
   PrWIN GR_CE,  0,  0,MargemD, liCabDy , 2                           'caixa do cabecalho 
   PrWIN  TX_CTR,co01Px,0,co02Px,liCabDy,"Documento"                  'titulo 
   PrWIN  TX_CTR,co02Px,0,co03Px,liCabDy,"Valor"                      'titulo 
   PrWIN  TX_CTR,co03Px,0,co04Px,liCabDy,"Valor Pago"                 'titulo 
   PrWIN  TX_CTR,co04Px,0,co05Px,liCabDy,"Valor Pendente"             'titulo 
 
   PrWin FON, "BOLD-"                                                 'desactivar bold
   PrWIN FON,  8, 1                           	                      'activar fonte
   PrWIN GR_CE,  0,liCabDy,MargemD, liCabDy*2 , 2                     'caixa do cabecalho 
   PrWIN TX_CTR,co01Px,liCabDy,co02Px,liCabDy*2,"Motivo Isenção/Taxa" 'texto centrado
   PrWIN TX_CTR,co02Px,liCabDy,co03Px,liCabDy*2,"Base/Incidência"     'texto centrado
   PrWIN TX_CTR,co03Px,liCabDy,co04Px,liCabDy*2,"IVA"                 'texto centrado
   PrWIN FON, 10, 1                            	                      'activar fonte
else
   PrWIN GR_CE,  0,  0,MargemD, liCabDy, 2                            'caixa do cabecalho
   PrWin FON, "BOLD+"                                                 'activar bold
   PrWIN  TX_CTR,co01Px,0,co02Px,liCabDy,"Documento"                  'titulo 
   PrWIN  TX_CTR,co02Px,0,co03Px,liCabDy,"Valor"                      'titulo 
   PrWIN  TX_CTR,co03Px,0,co04Px,liCabDy,"Valor Pago"                 'titulo 
   PrWIN  TX_CTR,co04Px,0,co05Px,liCabDy,"Valor Pendente"             'titulo 
   PrWin FON, "BOLD-"                                                 'desactivar bold
end if

PrWIN FON, 8, 1                                                       'fonte para linhas
PrWin FON, "BOLD-"                                                    'desactivar bold

if LstSepVert = 1 then                                  'usa separadores verticais no corpo documento ?
   PrWIN GR_LV,co02Px,  0, dimZonLinY, 2                'separador Vertical na linha do documento
   PrWIN GR_LV,co03Px,  0, dimZonLinY, 2                'separador Vertical na linha do documento
   PrWIN GR_LV,co04Px,  0, dimZonLinY, 2                'separador Vertical na linha do documento
   PrWIN GR_LV,co05Px,  0, dimZonLinY, 2                'separador Vertical na linha do documento
end if

Portes$=""
end sub


SUB VerForOk ' ver se é fornecedor
ForOk = 0

if left$(Enc_Mst_CtEnt$,2) = "22" then
   ForOk = 1                                  'é fornecedor
else
   ForOk = 0                                  'cliente
end if
end sub
##

